import { Flex, message } from 'antd';
import styles from './index.less';
import { Fragment } from 'react/jsx-runtime';

/**
 * @description 已接入行业系统
 */

const IndustrySystem = () => {
  const list = [
    {
      sub: [
        {
          name: '成都市数字化城市管理信息系统',
          sysNum: 1
        }
      ],
      sys: [
        {
          name: '成都市数字化城市管理信息系统',
          url: 'http://171.221.172.80:6888/eUrbanMIS/view/standardScreen.html',
        },
      ]
    },
    {
      sub: [
        {
          name: '环卫处',
          sysNum: 1
        }
      ],
      sys: [
        {
          name: '成都市环卫固废智慧监管服务平台市级项目(一期)',
          url: 'https://cdgfhw.cloudhw.cn:58083/',
        },
      ]
    },
    {
      sub: [
        {
          name: '城研院',
          sysNum: 1
        }
      ],
      sys: [
        {
          name: '成都市城市综合管理数据资源中心',
          url: '',
        },
      ]
    },
    {
      sub: [
        {
          name: '执法总队',
          sysNum: 1
        }
      ],
      sys: [
        {
          name: '违法建设治理系统',
          url: 'https://wjzl.cdcgzfzd.cn:1234/#/suspected-lbuilt/list',
        },
      ]
    },
    {
      sub: [
        {
          name: '照明监管中心',
          sysNum: 1
        }
      ],
      sys: [
        {
          name: '成都市城市照明综合监管平台',
          url: 'https://service.cdzmjg.cn:8443/?1736578151849#/login',
        },
      ]
    },
    {
      sub: [
        {
          name: '道桥监管中心',
          sysNum: 3
        },
      ],
      sys: [
        {
          name: '城市桥梁健康监测系统',
          url: 'https://jk.cddqgl.com/#/login',
        },
        {
          name: '成都市占用（挖掘）城市道路信息管理平台（一期）',
          url: 'https://gl.cdzdwj.com/',
        },
        {
          name: '成都市道路桥梁管理信息系统',
          url: 'https://www.cddqgl.com/enovia/toLogin',
        },
      ]
    },
    {
      // name: '固体废弃物',
      sub: [
        {
          name: '固废处',
          sysNum: 1
        },
      ],
      sys: [
        {
          name: '成都市工地扬尘监控及建筑垃圾运输处置信息和监管平台',
          url: 'http://221.237.182.174:8011/',
        },
      ]
    },
    // {
    //   name: '数字监管中心',
    //   sub: [],
    //   sys: []
    // },
    {
      sub: [
        {
          name: '审批监督处',
          sysNum: 1
        },
      ],
      sys: [
        {
          name: '成都市城管委信用信息报送系统',
          url: '',
        },
      ],
    },
  ];
  const listOld1 = [
    {
      name: '环境卫生',
      sub: [
        {
          name: '环卫处',
          sysNum: 1
        }
      ],
      sys: [
        {
          name: '成都市环卫固废智慧监管服务平台市级项目(一期)',
          url: 'https://cdgfhw.cloudhw.cn:58083/',
        },
      ]
    },
    {
      name: '市容广告',
      sub: [],
      sys: []
    },
    {
      name: '市政设施',
      sub: [
        {
          name: '道桥监管中心',
          sysNum: 3
        },
      ],
      sys: [
        {
          name: '城市桥梁健康监测系统',
          url: 'https://jk.cddqgl.com/#/login',
        },
        {
          name: '占用挖掘城市道路信息管理平台',
          url: 'https://gl.cdzdwj.com/',
        },
        {
          name: '城市道路桥梁管理系统',
          url: 'https://www.cddqgl.com/',
        },
      ]
    },
    {
      name: '固体废弃物',
      sub: [
        {
          name: '固废处',
          sysNum: 1
        },
      ],
      sys: [
        {
          name: '工地扬尘监控监管平台',
          url: 'http://221.237.182.174:8011/',
        },
      ]
    },
    {
      name: '数字监管中心',
      sub: [],
      sys: []
    },
    {
      name: '城市照明',
      sub: [
        {
          name: '照明监管中心',
          sysNum: 1
        },
      ],
      sys: [
        {
          name: '城市照明监控系统',
          url: 'https://service.cdzmjg.cn:8443/',
        },
      ],
    },
    {
      name: '城管执法',
      sub: [
        {
          name: '执法总队',
          sysNum: 1
        },
      ],
      sys: [
        {
          name: '违法建设治理系统',
          url: 'https://wjzl.cdcgzfzd.cn:1234/',
        },
      ]
    },
    {
      name: '其它',
      sub: [
        {
          name: '数字监管中心',
          sysNum: 1
        },
        {
          name: '城研院',
          sysNum: 1
        },
        {
          name: '审批监督处',
          sysNum: 1
        },
      ],
      sys: [
        {
          name: '成都市数字化城市管理信息系统',
          url: 'http://171.221.172.80:6888/eUrbanMIS/main.htm',
        },
        {
          name: '成都市城市综合管理数据资源中心',
          url: '',
        },
        {
          name: '城管委信用信息报送系统',
          url: '',
        },
      ]
    }
  ];
  const listOld2 = [
    {
      name: '执法总队',
      sub: [
        {
          name: '违法建设治理系统',
          url: 'https://wjzl.cdcgzfzd.cn:1234',
        },
        // {
        //   name: '综合行政执法智慧服务平台',
        //   url: 'https://zhzf.tfryb.com',
        // },
      ],
    },
    {
      name: '数字监管中心',
      sub: [
        {
          name: '成都市数字化城市管理信息系统',
          url: 'http://171.221.172.80:6888/eUrbanMIS/main.htm',
        },
      ],
    },
    {
      name: '道桥监管中心',
      sub: [
        {
          name: '城市桥梁健康监测系统',
          url: 'https://jk.cddqgl.com/#/login',
        },
        {
          name: '占用挖掘城市道路信息管理平台（一期）',
          url: 'https://gl.cdzdwj.com/',
        },
        {
          name: '城市道路桥梁管理系统',
          url: 'https://www.cddqgl.com/',
        },
        // {
        //   name: '成都市占用（挖掘）城市道路信息管理平台',
        //   url: 'https://gl.cdzdwj.com',
        // },
        // {
        //   name: '成都市道路桥梁信息管理系统',
        //   url: 'https://www.cddqgl.com',
        // },
      ],
    },
    {
      name: '照明监管中心',
      sub: [
        {
          name: '城市照明监控系统',
          url: 'https://service.cdzmjg.cn:8443/',
        },
        // {
        //   name: '照明运维系统',
        //   url: 'http://182.151.63.251:9000/login',
        // },
      ],
    },
    {
      name: '固废处',
      sub: [
        {
          name: '工地扬尘监控监管平台',
          url: 'http://221.237.182.174:8011/',
        },
      ],
    },
    {
      name: '环卫处',
      sub: [
        {
          name: '成都市环卫固废智慧监管服务平台市级项目(一期)',
          url: 'https://cdgfhw.cloudhw.cn:58083/',
        },
      ],
    },
    {
      name: '城研院',
      sub: [
        {
          name: '成都市城市综合管理数据资源中心',
          url: '',
        },
      ],
    },
    {
      name: '审批监督处',
      sub: [
        {
          name: '城管委信用信息报送系统',
          url: '',
        },
      ],
    },
  ];

  return (
    <Flex vertical className={styles.wrap}>
      <Flex className={styles.header}>
        {/* <div>所属行业</div> */}
        <div>处室（单位）</div>
        <div>政务信息化系统</div>
      </Flex>
      <div className={styles.list}>
        {list.map((item) => (
          <Flex className={styles.listItem} align="center" key={item.sub[0].name}>
            {/* <div className={styles.name}>
              {item.name}
            </div> */}
            <Flex vertical gap={15} className={styles.name}>
              {
                item.sub.map(v => (
                  <Fragment key={v.name}>
                    <div
                    >{`${v.name}(${v.sysNum})`}</div>
                  </Fragment>
                ))
              }
            </Flex>
            {
              <div>
                {item.sys.map((subItem) => (
                  <div
                    key={subItem.name}
                    className={styles.subName}
                    onClick={() => {
                      if (subItem?.url === '') {
                        message.error('暂未获取系统链接！');
                      } else {
                        window.open(subItem?.url);
                      }
                    }}
                  >
                    {subItem.name}
                  </div>
                ))}
              </div>
            }

          </Flex>
        ))}
      </div>
    </Flex>
  );
};

export default IndustrySystem;
