import React from 'react';
import { Flex, Progress } from 'antd';
import styles from './index.less';

const DeviceDistribution: React.FC = () => {
  let isUsingValue = true;

  const deviceTypeList = isUsingValue ? [
    {type: '集中控制器', count: 156, rate: 49.56},
    {type: '单灯控制器', count: 156, rate: 59.56},
    {type: '自然光及雨量监测', count: 156, rate: 69.56},
    {type: '固定光照度监测', count: 156, rate: 79.56},
    {type: '水浸传感器', count: 156, rate: 19.56},
    {type: '固定光照度监测', count: 156, rate: 29.56},
    {type: '水浸传感器', count: 156, rate: 39.56},
  ] : [
    {type: '--', count: '--', rate: '--'},
    {type: '--', count: '--', rate: '--'},
    {type: '--', count: '--', rate: '--'},
    {type: '--', count: '--', rate: '--'},
    {type: '--', count: '--', rate: '--'},
    {type: '--', count: '--', rate: '--'},
    {type: '--', count: '--', rate: '--'},
    {type: '--', count: '--', rate: '--'},
  ];

  return (
    <div className={styles.deviceSection}>
      <div className={styles.title}>各设备类型分布</div>
      <div className={styles.header}>
        <span className={styles.type}>感知设备类型</span>
        <span className={styles.count}>设备总数</span>
        <span className={styles.percentage}> </span>
        <span className={styles.rate}>设备在线率</span>
      </div>
      <div className={styles.deviceList}>
        {deviceTypeList.map(item => (
          <Flex key={item.type} className={styles.deviceItem} justify="space-between" align="center">
            <span className={styles.type}>{item.type}</span>
            <span className={styles.count}>{item.count}</span>
            <Progress 
              size={{ height: 15 }}
              percent={Number(item.rate)} 
              showInfo={false}
              trailColor="rgba(144, 205, 229, 0.22)"
              strokeColor={{ from: '#00B9FF', to: '#79FFD1' }}
              className={styles.progress}
            />
            <span className={styles.rate}>{item.rate}%</span>
          </Flex>
        ))}
      </div>
      <div className={styles.remark}>
        备注:单灯控制器与固定光照度监测关灯后不监测，在线率会变为0
      </div>
    </div>
  );
};

export default DeviceDistribution; 