import React from 'react';
import { Flex } from 'antd';
import styles from './index.less';
import DescriptionItem from '@/components/DescriptionItem';

const StatsOverview: React.FC = () => {
  let isUsingValue = true;

  const commonValueStyle = {
    fontFamily: 'D-DIN Exp',
    fontSize: '36px',
    fontWeight: '700',
    background: 'linear-gradient(180deg, #9CF8F7 0%, #25BBFF 100%)',
    WebkitBackgroundClip: 'text',
    WebkitTextFillColor: 'transparent',
  };

  const commonLabelStyle = {
    color: '#BCCEE9',
    fontSize: '20px',
    marginTop: '-4px'
  };

  const commonUnitStyle = {
    color: '#BCCEE9',
    fontSize: '20px',
  };

  return (
    <div className={styles.statsSection}>
      <div className={styles.title}>感知设备概况</div>
      <Flex gap={40} align="center" justify="space-between" style={{padding: '0 60px 0 10px'}}>
        <DescriptionItem
          name="感知设备总数"
          value={isUsingValue ? 82 : '--'}
          unit="个"
          valueStyle={commonValueStyle}
          labelStyle={commonLabelStyle}
          unitStyle={commonUnitStyle}
        />
        <DescriptionItem 
          name="在线"
          value={isUsingValue ? 82 : '--'}
          unit="个"
          valueStyle={commonValueStyle}
          labelStyle={commonLabelStyle}
          unitStyle={commonUnitStyle}
        />
        <DescriptionItem
          name="设备在线率"
          value={isUsingValue ? 99.99 : '--'}
          unit="%"
          decimals={2}
          valueStyle={{...commonValueStyle, background: '#55D355'}}
          labelStyle={commonLabelStyle}
          unitStyle={commonUnitStyle}
        />
      </Flex>
    </div>
  );
};

export default StatsOverview; 