import React, { useState } from 'react';
import { Flex } from 'antd';
import styles from './index.less';
import StatsOverview from './components/StatsOverview';
import DeviceDistribution from './components/DeviceDistribution';
import MonitorTable from './components/MonitorTable';

const LightingDeviceStatus: React.FC = () => {
  return (
    <div className={styles.container}>
      <div className={styles.leftContent}>
        {/* 左上统计概览 */}
        <StatsOverview />
        {/* 左下设备分布 */}
        <DeviceDistribution />
      </div>
      {/* 右侧监测表格 */}
      <MonitorTable />
    </div>
  );
};

export default LightingDeviceStatus; 