import EmptyWithConditions from '@/components/EmptyWithConditions';
import BaseCard from '@/pages/GlobalModalServices/components/BaseCard';
import { Flex, Progress, Space } from 'antd';
import React, { memo, useState } from 'react';
import styles from './index.less';
/** @name 高发类型TOP3 */
const TypeTop3: React.FC = memo(() => {
  const [dataSource, setDataSource] = useState([
    {
      name: '故障类型1',
      num: 456,
      percent: 0.45,
    },
    {
      name: '故障类型2',
      num: 456,
      percent: 0.45,
    },
    {
      name: '故障类型3',
      num: 456,
      percent: 0.45,
    },
  ]);

  return (
    <BaseCard w={650} h={306} title="高发类型TOP3">
      <EmptyWithConditions conditions={true}>
        {dataSource.map((item, index) => {
          return (
            <div key={index} className={styles.item}>
              <Flex align="center" justify="space-between">
                <div className={styles.name}>{item.name}</div>
                <Space size={30}>
                  <div>
                    <span className={styles.val}>{item.num}</span>
                    <span className={styles.unit}>件</span>
                  </div>
                  <div>
                    <span className={styles.val}>{item.percent * 100}</span>
                    <span className={styles.unit}>%</span>
                  </div>
                </Space>
              </Flex>
              <Progress
                strokeColor={{
                  to: 'rgb(121, 255, 209)',
                  from: 'rgb(0, 185, 255)',
                }}
                percent={item?.percent * 100}
                showInfo={false}
                size={{ height: 15 }}
                trailColor="rgba(144, 205, 229, 0.22)"
              ></Progress>
            </div>
          );
        })}
      </EmptyWithConditions>
    </BaseCard>
  );
});

export default TypeTop3;
