import { Flex } from 'antd';
import React, { useEffect } from 'react';
import { ChildrenModalMethods } from '../../type';
import TopSearch from '../SanitationDisp/TopSarch';
import styles from './index.less';
import Info from './Info';
import ListTable from './ListTable';
import Trend from './Trend';
import TypeTop3 from './TypeTop3';

export type LightingFaultDisposalProps = {
  modalDispatch: ChildrenModalMethods;
};

/** @name 市管照明故障处置情况 */
const LightingFaultDisposal: React.FC<LightingFaultDisposalProps> = (props) => {
  const { modalDispatch } = props;

  useEffect(() => {
    modalDispatch.setOptions({
      headerLeft: () => {
        return (
          <TopSearch
          defaultKey={'today'}
            onChange={function (val: any): void {
              //   throw new Error('Function not implemented.');
            }}
          />
        );
      },
    });
  }, []);

  return (
    <div className={styles.container}>
      <Flex gap={20}>
        <Flex vertical gap={20}>
          <Info></Info>
          <Trend></Trend>
          <TypeTop3></TypeTop3>
        </Flex>
        <ListTable modalDispatch={modalDispatch}></ListTable>
      </Flex>
    </div>
  );
};

export default LightingFaultDisposal;
