import React from 'react';
import styles from './index.less';
import DescriptionItem from '@/components/DescriptionItem';

const InspectionInfo: React.FC = () => {
  const commonValueStyle = {
    fontFamily: 'D-DIN Exp',
    fontSize: '36px',
    fontWeight: '700',
    background: 'linear-gradient(180deg, #9CF8F7 0%, #25BBFF 100%)',
    WebkitBackgroundClip: 'text',
    WebkitTextFillColor: 'transparent',
  };

  const commonLabelStyle = {
    color: '#BCCEE9',
    fontSize: '20px',
    marginTop: '-4px'
  };

  const commonUnitStyle = {
    color: '#BCCEE9',
    fontSize: '20px',
    marginLeft: '8px'
  };

  return (
    <div className={styles.container}>
      <div className={styles.header}>
        <span className={styles.title}>巡检管理</span>
        <span className={styles.date}>2024年12月</span>
      </div>
      <div className={styles.content}>
        <div className={styles.statsRow}>
          <DescriptionItem
            value={82}
            name="巡检次数"
            unit="次"
            valueStyle={commonValueStyle}
            labelStyle={commonLabelStyle}
            unitStyle={commonUnitStyle}
          />
          <DescriptionItem
            value={82}
            name="发现病害"
            unit="处"
            valueStyle={commonValueStyle}
            labelStyle={commonLabelStyle}
            unitStyle={commonUnitStyle}
          />
        </div>
      </div>
    </div>
  );
};

export default InspectionInfo; 