import React from 'react';
import styles from './index.less';
import DescriptionItem from '@/components/DescriptionItem';
import pipeMapCheck from '@/assets/images/pipe-map-check.png';
import { Popover } from 'antd';
import questionMark from '@/assets/images/questionMark.png';

const MaintenanceInfo: React.FC = () => {
  const commonValueStyle = {
    fontFamily: 'D-DIN Exp',
    fontSize: '36px',
    fontWeight: '700',
    background: 'linear-gradient(180deg, #9CF8F7 0%, #25BBFF 100%)',
    WebkitBackgroundClip: 'text',
    WebkitTextFillColor: 'transparent',
  };

  const commonLabelStyle = {
    color: '#BCCEE9',
    fontSize: '20px',
    marginTop: '-4px'
  };

  const commonUnitStyle = {
    color: '#BCCEE9',
    fontSize: '20px',
  };
  
  const popoverContent = (
    <div className={styles.popoverContent}>
      <div>统计时间范围：</div>
      <div>上月21日到本月20日</div>
    </div>
  );

  return (
    <div className={styles.container}>
      <div className={styles.header}>
        <span className={styles.title}>维护管理</span>
        <span className={styles.date}>
          2024年12月
          {/* <img src={pipeMapCheck} alt="info" className={styles.infoIcon} /> */}          
          <Popover 
            content={popoverContent}
            placement="bottomRight"
            overlayClassName={styles.customPopover}
          >
            <img src={questionMark} alt="info" className={styles.questionIcon} />
          </Popover>
        </span>
      </div>
      <div className={styles.content}>
        <DescriptionItem
          value={82}
          name="本体维护保养"
          unit="处"
          valueStyle={commonValueStyle}
          labelStyle={commonLabelStyle}
          unitStyle={commonUnitStyle}
        />
        <DescriptionItem
          value={82}
          name="附属设施维护保养"
          unit="处"
          valueStyle={commonValueStyle}
          labelStyle={commonLabelStyle}
          unitStyle={commonUnitStyle}
        />
      </div>
    </div>
  );
};

export default MaintenanceInfo; 