import React, { useEffect, useRef } from 'react';
import styles from './index.less';
import { Checkbox } from 'antd';
import CooglMap from '@/components/CooglMap';
import pipeMapCheck from '@/assets/images/pipe-map-check.png';
import pipeMapMarker from '@/assets/images/pipe-map-marker.png';

const MapSection: React.FC = () => {
  const mapRef = useRef<any>();

//   useEffect(() => {
//     if (mapRef.current) {
//       // 初始化地图
//       const map = new CooglMap.MapView({
//         container: mapRef.current,
//         center: [104.06, 30.67],
//         zoom: 12,
//         style: {
//           version: 8,
//           sources: {
//             // 添加地图数据源
//           },
//           layers: [
//             // 添加地图图层
//             {
//               id: 'background',
//               type: 'background',
//               paint: {
//                 'background-color': '#001529'
//               }
//             },
//             {
//               id: 'water',
//               type: 'fill',
//               source: 'composite',
//               'source-layer': 'water',
//               paint: {
//                 'fill-color': '#073763'
//               }
//             },
//             {
//               id: 'road',
//               type: 'line',
//               source: 'composite',
//               'source-layer': 'road',
//               paint: {
//                 'line-color': '#0B5394',
//                 'line-width': 1
//               }
//             }
//           ]
//         }
//       });

//       // 添加管廊线路
//       map.on('load', () => {
//         map.addSource('pipeline', {
//           type: 'geojson',
//           data: {
//             type: 'Feature',
//             properties: {},
//             geometry: {
//               type: 'LineString',
//               coordinates: [
//                 [104.06, 30.67],
//                 [104.08, 30.65]
//               ]
//             }
//           }
//         });

//         map.addLayer({
//           id: 'pipeline-line',
//           type: 'line',
//           source: 'pipeline',
//           paint: {
//             'line-color': '#FF00FF',
//             'line-width': 3,
//             'line-opacity': 0.6
//           }
//         });

//         // 添加监控点
//         map.addSource('monitors', {
//           type: 'geojson',
//           data: {
//             type: 'FeatureCollection',
//             features: [
//               {
//                 type: 'Feature',
//                 geometry: {
//                   type: 'Point',
//                   coordinates: [104.06, 30.67]
//                 },
//                 properties: {
//                   type: 'monitor'
//                 }
//               },
//               {
//                 type: 'Feature',
//                 geometry: {
//                   type: 'Point',
//                   coordinates: [104.08, 30.65]
//                 },
//                 properties: {
//                   type: 'control'
//                 }
//               }
//             ]
//           }
//         });

//         map.addLayer({
//           id: 'monitors-points',
//           type: 'circle',
//           source: 'monitors',
//           paint: {
//             'circle-radius': 6,
//             'circle-color': [
//               'match',
//               ['get', 'type'],
//               'monitor', '#00FF00',
//               'control', '#0000FF',
//               '#FF0000'
//             ]
//           }
//         });
//       });
//     }
//   }, []);

return (
    <div className={styles.container}>
      <div className={styles.mapWrapper}>
        <div className={styles.header}>
            <div className={styles.title}>管廊分布</div>
        </div>
        
        <CooglMap.MapView
          ref={mapRef}
          zoom={8}
          center={{ x: 103.96, y: 30.658842 }}
          mode="3D"
        >
          {/* 地图内容 */}
        </CooglMap.MapView>

        {/* <div className={styles.legend}>
          <Checkbox checked>监控中心</Checkbox>
          <Checkbox>总控中心</Checkbox>
          <Checkbox>分控中心</Checkbox>
        </div> */}
        
        <div className={styles.legend}>
            <div className={styles.legendTitle}>图层图例</div>
            <div className={styles.legendItem}>
                <img src={pipeMapCheck} alt="监控中心" />
                <span>监控中心</span>
            </div>
            <div className={styles.legendItem}>
                <img src={pipeMapMarker} alt="总控中心" />
                <span>总控中心</span>
            </div>
            <div className={styles.legendItem}>
                <img src={pipeMapMarker} alt="分控中心" />
                <span>分控中心</span>
            </div>
        </div>
      </div>
    </div>
  );
};

export default MapSection;