import React from 'react';
import styles from './index.less';
import type { ColumnsType } from 'antd/es/table';
import BlueTable from '@/components/BlueTable';

interface PipelineData {
  name: string;
  length: number;
  unit: string;
}

const PipelineInfo: React.FC = () => {
  const columns: ColumnsType<PipelineData> = [
    {
      title: '入廊管线名称',
      dataIndex: 'name',
      key: 'name',
      width: '40%',
    },
    {
      title: '长度（米）',
      dataIndex: 'length',
      key: 'length',
      width: '30%',
    },
    {
      title: '入廊管线单位',
      dataIndex: 'unit',
      key: 'unit',
      width: '30%',
    },
  ];

  const data: PipelineData[] = [
    {
      name: 'XXXXXXXXX',
      length: 1245,
      unit: 'XXXXXXXX',
    },
    {
      name: 'XXXXXXXXX',
      length: 1245,
      unit: 'XXXXXXXX',
    },
    {
      name: 'XXXXXXXXX',
      length: 1245,
      unit: 'XXXXXXXX',
    },
  ];

  return (
    <div className={styles.container}>
      <div className={styles.header}>
        <div className={styles.title}>入廊管线信息</div>
        <div className={styles.title}>
          共 10 类管线 共 133 公里
        </div>
      </div>
      <div className={styles.content}>
        {/* <div className={styles.summary}>
          共 10 类管线 共 133 公里
        </div> */}
        <BlueTable
          columns={columns}
          dataSource={data}
          pagination={false}
          size="small"
          scroll={{ y: 120 }}
        />
      </div>
    </div>
  );
};

export default PipelineInfo; 