import { CloseOutlined } from '@ant-design/icons';
import React from 'react';
import styles from './index.less';
import GalleryInfo from './components/GalleryInfo';
import MonitorInfo from './components/MonitorInfo';
import PipelineInfo from './components/PipelineInfo';
import InspectionInfo from './components/InspectionInfo';
import MaintenanceInfo from './components/MaintenanceInfo';
import AssessmentInfo from './components/AssessmentInfo';
import MapSection from './components/MapSection';

const PipeGalleryDetail: React.FC<{onCancel: () => void}> = ({onCancel}) => {
  return (
    <div className={styles.container}>      
      <div className={styles.content}>
        <div className={styles.leftSection}>
          <GalleryInfo />
          <PipelineInfo />
        </div>

        <div className={styles.mapSection}>
          {/* 地图组件 */}
          <MapSection />
        </div>

        <div className={styles.rightSection}>
          <InspectionInfo />
          <MaintenanceInfo />
          <AssessmentInfo />
          <MonitorInfo />
        </div>
      </div>
    </div>
  );
};

export default PipeGalleryDetail; 