import { Flex } from 'antd';
import React from 'react';
import styles from './index.less';
import LightingOperationSituation from './LightingOperationSituation';
import Overview from './Overview';

import LatestWarning from './LatestWarning';
import LightingMap from './LightingMap';
import OperationCondition from './OperationCondition';
import SensingDevice from './SensingDevice';

type PropsType = {
  metaData?: any;
};

/** @name 城市照明 */
const UrbanLighting: React.FC<PropsType> = (props) => {
  const { metaData } = props;

  return (
    <Flex className={styles.container} gap={20}>
      <Flex vertical gap={20}>
        <Overview total={metaData?.total} />
        <LightingOperationSituation />
      </Flex>
      <LightingMap></LightingMap>

      <Flex vertical gap={20}>
        <SensingDevice></SensingDevice>
        <OperationCondition></OperationCondition>
        <LatestWarning></LatestWarning>
      </Flex>
    </Flex>
  );
};

export default UrbanLighting;
